// tachyonTest.cc

// Test for proper exception behavior, by intentionally attempting to create a
// tachyonic boost.

#include <iostream>
#include "CLHEP/Vector/LorentzRotation.h"
#include "CLHEP/Vector/ThreeVector.h"

using std::cout;

int main () {

  Hep3Vector v ( 2.5, -2.5, 1.0 ); // This has magnitude > 1

  try {
    HepLorentzRotation b (v);  
  }
  catch (CLHEP_vector_exception & e) {
    cout << "We have caught a CLHEP_vector_exception.\n";
    cout << "The name is " << e.name() << ".\n";
    cout << "The message is " << e.what() << ".\n";
  }

  cout << "Having caught the exception, the program continues.\n";
  return 0;
  
}

