#!/bin/bash
 
CURRENT_DIR=`pwd`


#
# define here path to CERNLIB
CERN_DIR="/cern/pro/lib"
#
# define here name of the PDF librarry (without lib in front) from CERNLIB
NAME_PDFLIB="pdflib804"


########################################################
#
#  do not modify anything below!!!######################
#

export CXX=g++
CXX="g++"
F77="g77"

# ----------------------------
fcheck=`type -p $CXX`
if test -x "$fcheck";
then
    echo " $fcheck -> OK $CXX exists"
else
    echo "Error: $CXX does not exists"
    exit 0;
fi


#------------------------
fcheck=`type -p $F77`
if test -x "$fcheck";
then
    echo " $fcheck -> OK $F77 exists"
else
    echo "Error: $F77 does not exists"
    exit 0;
fi



mathlib=$CERN_DIR"/libmathlib.a"
pdflib=$CERN_DIR"/lib"$NAME_PDFLIB".a"
packlib=$CERN_DIR"/libpacklib.a"
kernlib=$CERN_DIR"/libkernlib.a"


## check cernlib libraries
if [ ! -e $mathlib ]
then
echo "cannot find $mathlib !  Stop installation"; exit 1;
else
echo " $mathlib  -> OK";
fi

## check cernlib libraries
if [ ! -e $packlib ]
then
echo "cannot find $packlib !  Stop installation"; exit 1;
else
echo " $packlib   -> OK";
fi

## check cernlib libraries
if [ ! -e $kernlib ]
then
echo "cannot find $kernlib !  Stop installation"; exit 1;
else
echo " $kernlib  -> OK";
fi


## check cernlib libraries
if [ ! -e $pdflib ]
then
echo "cannot find $pdflib !  Stop installation"; exit 1;
else
echo " $pdflib  -> OK";
fi

# install CLHEP
./install_clhep.sh

# install ROOT
./install_root.sh



#### now replace installation script
echo ""; echo "";
echo "installation script \$RUNMC/build/install_full.sh is ready!";
echo "CLHEP and ROOT installed in:"
echo "              \$RUNMC/packages/clhep";
echo "              \$RUNMC/packages/root";

echo "Clean the installation directory from unnecessary files using clean_obj.sh"
echo ""
echo "All CLHEP/ROOT variables were set in \$RUNMC/build/install_full.sh ";
echo ""; echo "";
echo "After the cleaning using clean_obj.sh, do:"; 
echo "                        cd \$RUNMC/build"; 
echo "                        ./install_full.sh";
cp -f $RUNMC/packages/aux/install_full.sh $RUNMC/build/install_full.sh
#




###############

exit 0

