#!/bin/bash
 
CURRENT_DIR=`pwd`


########################################################
#
#  do not modify anything below!!!######################
#
## CLHEP name ############
LIBCLHEP="libCLHEP.a"
echo "installing $LIBCLHEP"  


export CXX=g++
CXX="g++"
F77="g77"

# ----------------------------
fcheck=`type -p $CXX`
if test -x "$fcheck";
then
    echo " $fcheck -> OK $CXX exists"
else
    echo "Error: $CXX does not exists"
    exit 0;
fi


#------------------------
fcheck=`type -p $F77`
if test -x "$fcheck";
then
    echo " $fcheck -> OK $F77 exists"
else
    echo "Error: $F77 does not exists"
    exit 0;
fi

## test invaromental variable
if [ ! -d $CLHEP_PATH ]
then
 echo "You did not set \$CLHEP_PATH to correctly !  Stop installation";
 exit 0;
else
echo " \$CLHEP_PATH set to $CLHEP_PATH  -> OK";
fi





cd $RUNMC/packages/clhep_tmp/CLHEP 
echo ""; echo "configure CLHEP"
./configure --prefix=$CLHEP_PATH

echo ""; echo ""; echo "compile CLHEP"
make -C $RUNMC/packages/clhep_tmp/CLHEP 

echo ""; echo ""; echo "installing CLHEP"
make install -C $RUNMC/packages/clhep_tmp/CLHEP
cd $CURRENT_DIR


echo ""; echo ""; 
cd $CLHEP_PATH/lib
LIBRARY=`ls -1 libCLHEP*.a`
rm -f $LIBCLHEP
echo "make link to $LIBCLHEP from $LIBRARY"
ln -s $LIBRARY $LIBCLHEP 
cd $CURRENT_DIR


echo ""; echo "CLHEP  is done";

###############

exit 0

